Memory
Resolve a memory review item
POST /v1/memory/{memoryId}/review-items/{reviewId} · SDK resolveMemoryReview · CLI deployments memory-review resolve
POST
Requires memory:admin.
tenantJwtheader
AuthorizationBearer <token>Tenant JWT carrying organization, project, and environment claims.
memoryId*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$reviewId*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-environment?stringOptional tenant consistency assertion; when supplied, it must match the authenticated credential.
Match
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-organization?stringOptional tenant consistency assertion; when supplied, it must match the authenticated credential.
Match
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-project?stringOptional tenant consistency assertion; when supplied, it must match the authenticated credential.
Match
^[0-7][0-9A-HJKMNP-TV-Z]{25}$idempotency-key?stringLimited to 500 UTF-8 bytes.
Length
1 <= length <= 500application/json- body
content?stringdecision*stringValue in
"approve""archive""delete""edit""reject"reason?stringMemoryObjectResponse
application/json- response
curl -X POST "https://example.com/v1/memory/string/review-items/string" \ -H "Content-Type: application/json" \ -d '{ "decision": "approve" }'{}